        subroutine RUNIT(Y,SUM)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'INPAR.INC'
        double precision Y
        dimension Y(NPX,NCHEM)
        real SUM
        integer I,J,K
      if (SOLG(1,1).eq.0.0) go to 190
      SUM = 0.0
      do 120 I = 1, MAXDAT
         do 110 J = 1, KCHEM
            do 100 K = 1, KOUNT
               SUM = SUM+STRLDG(K,J,I)
               SUM = SUM+NPSLDG(K,J,I)
               SUM = SUM+PCPLDG(K,J,I)
               SUM = SUM+DRFLDG(K,J,I)
               SUM = SUM+SEELDG(K,J,I)
100         continue
110      continue
120   continue
      do 130 I = 1, MAXMAS
         SUM = SUM+IMASSG(I)
130   continue
      if (MODEG.eq.2) go to 160
      if (SUM.eq.0.0) go to 200
140   continue
      IRUN = 1
150   continue
      return
160   continue
      do 170 I = 1, KOUNT
170   continue
      TINITG = TINITL
      if (SUM.ne.0.0) go to 140
      write (TTYOUT(MACHNO),5000)
5000  format (//,' No chemical loads or residuals specified.',//)
      go to 150
180   continue
      IRUN = 0
      go to 150
190   continue
      write (TTYOUT(MACHNO),5010)
5010  format (' The aqueous solubility (SOL) is 0.0.')
      go to 180
200   continue
      write (TTYOUT(MACHNO),5020)
5020  format (/1X,'No load specified.')
      go to 180
      end
